File: changelog

package info (click to toggle)
ircd-irc2 2.11.2p3~dfsg-5
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 3,120 kB
  • ctags: 3,232
  • sloc: ansic: 39,108; sh: 3,139; makefile: 393
file content (201 lines) | stat: -rw-r--r-- 7,762 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
ircd-irc2 (2.11.2p3~dfsg-5) unstable; urgency=medium

  * Update defaults to production use case
  * Fix init script to background (Closes: #864591)
    Add systemd service additionally to sysvinit and migrate where systemd is
    available.
    Restart service after update
  * Adding reproducible build patch (Closes: #834956)
  * Tighten security by default on /etc/ircd
  * Add default /etc/ircd/ircd.m4

 -- Kilian Krause <kilian@debian.org>  Wed, 26 Jul 2017 10:49:18 +0200

ircd-irc2 (2.11.2p3~dfsg-4) unstable; urgency=medium

  * Don't print ircd.conf to console in postinst
  * Ensure grep in postinst is only run if there is a ircd.conf
    (Closes: #760369)
  * Update exmaple config with % instead of : to meet new IPv6 config
    delimiter (Closes: #760371)
  * debian/patches/01_manpages.patch: Fix manpages lintian warnings
  * synthesize dircategory and direntry in ircd-irc2.info to please lintian

 -- Kilian Krause <kilian@debian.org>  Fri, 05 Sep 2014 09:29:05 +0200

ircd-irc2 (2.11.2p3~dfsg-3) unstable; urgency=medium

  * ircd.conf delimiter is % globally with IPv6. Convert all lines to %. 

 -- Kilian Krause <kilian@debian.org>  Wed, 03 Sep 2014 11:50:27 +0200

ircd-irc2 (2.11.2p3~dfsg-2) unstable; urgency=medium

  * Pass CPPFLAGS as CFLAGS to make sure build system will not ignore them

 -- Kilian Krause <kilian@debian.org>  Tue, 02 Sep 2014 21:12:49 +0200

ircd-irc2 (2.11.2p3~dfsg-1) unstable; urgency=low

  * New upstream release: 2.11.2p3
  * Add myself to Uploaders
  * Update debian/watch: ~dfsg instead of +dfsg, use svn-upgrade
  * debian/rules: add get-orig-source target to do the automatic repacking
  * Ignore missing debian/maint/ircd-irc2.info upon clean
  * Remove irc2.11.2p2-s_conf.c.diff - incorporated upstream
  * Check upstream gpg signature in debian/watch
  * Add Homepage field
  * Shut up lintian:
   - set -e on its own line instead of shebang
   - source LSB function in init script
   - description-synopsis-starts-with-article (set override)
  * debian/copyright talking about GPL as symlink corrected to GPL-1
  * Enable IPv6 support
  * Bump compat level to 9
  * Bump b-d for debhelper to 9 too
  * Add dpkg-buildflags to configure call for hardening
  * Add dpkg-buildflags to build target too
  * Add Vcs-* Entries to debian/control
  * Add status target to init script
  * Add description to init script to shut up lintian
  * Fix permissions of /var/log/ircd/ - set owner to user irc
  * Add more verbose whatis entry in ircd-mkpasswd.8 to shut up lintian
  * Update P/M lines in default config to % instead of : since we're IPv6 now.
    Add postinst script to auto-adjust existing configs (Closes: #547613)
  * Bump Standards-Version to 3.9.5 - no changes needed.
  * debian/rules: Update to dh-style

 -- Kilian Krause <kilian@debian.org>  Mon, 01 Sep 2014 22:23:39 +0200

ircd-irc2 (2.11.2p2+dfsg-2) unstable; urgency=low

  * Remove auto generated dpkg-source patch.  (Closes: #643167)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 Sep 2011 23:04:40 +0200

ircd-irc2 (2.11.2p2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Apply upstream patch to avoid segfault caused by opers.
  * Properly clean source
  * Update debian/maint/config.h for the upstream changes.
  * Add ${misc:Depends} to the Depends line.
  * Don't add the stoplink in runlevel 1, we should get killed.
    Also tell dh_installinit not to create any stop link.
  * Install doc/INSTALL.info as an info page.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 18 Apr 2010 20:23:00 +0200

ircd-irc2 (2.11.2p1+dfsg-2) unstable; urgency=low

  * Disable ipv6 support again (Closes: #547614)
    It doesn't work without ipv6 support in the kernel.
  * Don't redirect erorrs to /dev/null in the init script.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Sep 2009 19:41:55 +0200

ircd-irc2 (2.11.2p1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Enable IPv6 support.
  * Add watch file.
  * Change debhelper compat level from 4 to 7:
    - change dh_clean -k to dh_prep
  * Update Standards-Version from 3.6.1 to 3.8.3:
    - init script returns success when ircd already running, pass --oknodo
      to start-stop-daemon
    - Create /var/run/ircd in the init script
    - Convert debian/copyright from latin1 to utf8
  * Don't fix permissions of /var/run/ircd or remove files in it from
    the postinst script.  Also don't ship that empty dir.
  * Don't remove files in and the dirs /etc/ircd on purge,
    dpkg should remove those by itself.
  * Fix copyright file to include the copyright notices and all the
    license information.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 18 Sep 2009 21:23:33 +0200

ircd-irc2 (2.11.1p1+dfsg-2) unstable; urgency=low

  * k*BSD needs _GNU_SOURCE too.  Always use it when we have 
    __GLIBC__  (Closes: #414992)
  * Fix the default ircd.conf to point to the right location of the
    documentation.  (Closes: #373662)
  * Add LSB formatted dependency info in init.d script (Closes: #469605)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 23:26:48 +0200

ircd-irc2 (2.11.1p1+dfsg-1) unstable; urgency=low

  * Make new orig tarball with the RFCs removed because
    they're non-free (Closes: #365194)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  6 May 2006 19:32:05 +0200

ircd-irc2 (2.11.1p1-1) unstable; urgency=low

  * New maintainer, adopting package.
  * Acknowledge my own NMU (Closes: #318738)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 28 Apr 2006 20:26:45 +0200

ircd-irc2 (2.11.1p1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Fix configure script detection of pow in -lm (Closes: #318738)
    - Apply upstream changes of config.h.dist to debian/maint/config.h
  * Change default ircd.conf to allow connections.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  4 Mar 2006 16:38:25 +0100

ircd-irc2 (2.11.0-1) unstable; urgency=low

  * New upstream version -- introducing irc2.11 along with these changes:
    - define CLONE_CHECK, no longer define SIXBONE_HACK and SLOW_ACCEPT
    - removed the ircd-irc2-client package as client is gone from source
    - multiple very small changes to adapt the package to new conditions

 -- Martin Loschwitz <madkiss@debian.org>  Sat,  01 Jan 2005 10:19:00 +0100

ircd-irc2 (2.10.3p7-1) unstable; urgency=low

  * New upstream version (Closes: #256264)
  * Thanks goes to Kurt Roeckx for preparing this release along with these
    changes:

     - debian/copyright: Corrected link to Download-Site
     - debian/docs: Install INSTALL.* files
     - debian/rules: Don't install ircd.m4 (it's disabled anyway)
     - debian/maint/ircd.conf: Point to INSTALL.* files as help
     - debian/maint/ircd.conf: Changed M-Line (work on more systems)
     - debian/maint/config.h: Adapted to the latest changes:
           * Enable usage of Unix domain sockets
           * Enable usage of compressed server links

  * Updated config.guess/config.sub

 -- Martin Loschwitz <madkiss@debian.org>  Thu,  29 Jul 2004 17:22:00 +0200
 
ircd-irc2 (2.10.3p5-2) unstable; urgency=high

  * Another upload with higher urgency (move faster torwards testing)

 -- Martin Loschwitz <madkiss@debian.org>  Wed,  15 Oct 2003 20:20:00 +0200

ircd-irc2 (2.10.3p5-1) unstable; urgency=low

  * New upstream version to fix security issues (Closes: #215844)
  * debian/control: Changed Maintainer's E-Mail address
  * debian/control: Bumped Standards-Version
  * debian/compat: Created, Updated to v4

 -- Martin Loschwitz <madkiss@debian.org>  Wed,  15 Oct 2003 20:06:00 +0200

ircd-irc2 (2.10.3p3-1) unstable; urgency=low

  * Initial Release. (Closes: #141950)
  * updated config.guess/config.sub

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed,  04 May 2002 11:51:00 +0200